## param_directput

### Use

You use this DBM command to change the parameters of the database instance.

Unlike the DBM command for changing the value of a database parameter (see: param_put), the value for the specified parameter is entered in the database parameter file directly. However, an entry is only made if the parameter is contained in the default parameter file.

Be very careful when using this DBM command as it accesses the database instance parameter file directly. The system does check that the changes made are in accordance with the rules and overwrites invalid values when the database instance is next restarted with the values from the default parameter file. However, this does not happen for the parameters RUNDIRECTORY and KERNELVERSION, or for any volume parameters. If you change these parameters, this can lead to severe inconsistencies during database operation.

See also:

Concepts of the Database System, Database Parameters

### Prerequisites

You have the server authorization ParamFull.

### Syntax

param_directput <parameter_name> <value> [<comment>]

Options

Option | Description
<parameter_name> | Name of the database parameter
<value> | Value of the database parameter
<comment> | Comment to be saved for the database parameter If the comment line contains spaces, you need to put the line in double quotation marks.

### Reply

OK

In the event of errors, see Reply Format.